<?php
// Get helper instance for web forms. This will add the opening form-tag to
// the helper's render cache which is simply a small variable in the class
// BaseHelper.
$helperInstance = ObjectFactory::createObjectByConfiguredName('web_form_helper', array($this, "admin_profile"));

// Pre-fetch field data with a given registry key
$helperInstance->prefetchValueInstance('user');

// Password can only be changed when the old one is entered and new one twice!
$helperInstance->addFormGroup('pass', "Neues Passwort einrichten:");
$helperInstance->addFormSubGroup('pass', "Bitte gebe zum &Auml;ndern deines Passwortes zweimal das gew&uuml;nschte neue Passwort ein.");
$helperInstance->addFieldText('pass1', "Neues Passwort:");
$helperInstance->addInputPasswordField('pass1');
$helperInstance->addFieldText('pass2', "Neues Passwort, Wiederholung:");
$helperInstance->addInputPasswordField('pass2');

// Display current email
$helperInstance->addFormNote('current_email', "Derzeitige Email-Adresse: <span class=\"persona_data\">".$helperInstance->getValueField('email')."</span>");

// Only for changing email address
if ($helperInstance->ifEmailChangeAllowed()) {
	$helperInstance->addFormGroup('email', "&Auml;nderung deiner Email-Addresse:");
	$helperInstance->addFormSubGroup('email', "Gebe nur deine Email-Adresse zweimal ein, wenn du diese &auml;ndern m&ouml;chtest!");
	$helperInstance->addFieldText('email1', "Email-Adresse:");
	$helperInstance->addInputTextField('email1');
	$helperInstance->addFieldText('email2', "Wiederholung Email-Adresse:");
	$helperInstance->addInputTextField('email2');

	if ($helperInstance->ifEmailMustBeUnique()) {
		$helperInstance->addFormNote('email', "Die von dir eingegebene Email-Adresse darf nur einmal im <span class=\"app_name\">{?app_full_name?}</span> verwendet worden sein.");
	} // END - Unique email addresses

	if ($helperInstance->ifEmailChangeRequireConfirmation()) {
		$helperInstance->addFormNote('confirm', "Es wird ein Best&auml;tigungslink an deine neue Email-Adresse gesendet. Bitte klicke diesen dann m&ouml;glichst schnell an.");
	} // END - Change requires confirmation
} // END - email change allowed

$helperInstance->addFormGroup('profile', "Hier kannst du deine Profildaten &auml;ndern.");

// Persoenliche Daten mit in der Anmeldung abfragen?
if ($helperInstance->ifRegisterIncludesPersonaData()) {
	$helperInstance->addFormSubGroup('persona', "Wenn du magst, dann vervollst&auml;ndige deine komplette Adresse mit deinem Namen.");
	$helperInstance->addFieldText('surname', "Dein Vorname:");
	$helperInstance->addInputTextFieldWithDefault('surname');
	$helperInstance->addFieldText('family', "Dein Nachname:");
	$helperInstance->addInputTextFieldWithDefault('family');
	$helperInstance->addFieldText('street', "Strasse und Hausnummer:");
	$helperInstance->addInputTextFieldWithDefault('street');
	$helperInstance->addFieldText('city', "Wohnort:");
	$helperInstance->addInputTextFieldWithDefault('city');
} // END - Persona data

$helperInstance->addFormSubGroup('zip', "Magst du uns auch deine Postleitzahl verraten?");
$helperInstance->addFieldText('zip', "Postleitzahl:");
$helperInstance->addInputTextFieldWithDefault('zip');

$helperInstance->addFormSubGroup('chat', "Gebe hier deine Nicknames bzw. Nummern an:");

if ($helperInstance->ifChatEnabled('icq')) {
	$helperInstance->addFieldText('icq', "ICQ-Nummer:");
	$helperInstance->addInputTextFieldWithDefault('icq');
} // END - if

if ($helperInstance->ifChatEnabled('jabber')) {
	$helperInstance->addFieldText('jabber', "Jabber:");
	$helperInstance->addInputTextFieldWithDefault('jabber');
} // END - if

if ($helperInstance->ifChatEnabled('yahoo')) {
	$helperInstance->addFieldText('yahoo', "Yahoo!:");
	$helperInstance->addInputTextFieldWithDefault('yahoo');
} // END - if

if ($helperInstance->ifChatEnabled('aol')) {
	$helperInstance->addFieldText('aol', "AOL-Screenname:");
	$helperInstance->addInputTextFieldWithDefault('aol');
} // END - if

if ($helperInstance->ifChatEnabled('msn')) {
	$helperInstance->addFieldText('msn', "MSN:");
	$helperInstance->addInputTextFieldWithDefault('msn');
} // END - if

if (!$helperInstance->ifRegisterRequiresEmailVerification()) {
	$helperInstance->addFormExtraNote(1, "Die Benachrichtigungen per sind im Loginbereich verfeinerbar, welche du genau haben willst.");
} // END - Extra note

// Rules already accepted?
if ($helperInstance->ifRulesHaveChanged()) {
	$helperInstance->addFormGroup('rules', "Bitte lese dir die Administrationsregeln gut durch und kreuze dann &quot;Ja, ich akzeptiere die aktuellen Administrationsregeln&quot; an.");
	$helperInstance->addFieldText('rules', "Ja, ich akzeptiere die aktuellen Administrationsregeln:");
	$helperInstance->addInputCheckboxField('rules', false);
} else {
	$helperInstance->addFormNote('rules_accepted', "Du hast die aktuellen Administrationsregeln akzeptiert. Vielen Dank!");
	$helperInstance->addInputHiddenField('rules', "1");
}

// Ask again for current account password
$helperInstance->addFormGroup('pass_old', "Bitte gebe zur Best&auml;tigung der &Auml;nderungen dein derzeitiges Passwort ein.");
$helperInstance->addFieldText('pass_old', "Altes Passwort:");
$helperInstance->addInputPasswordField('pass_old');

// Abschliessender Hinweis und Abschluss des Formulars
$helperInstance->addFormGroup('buttons', "Sind alle Daten nun korrekt eingegeben? Dann sende sie mit einem Klick einfach ab!");
$helperInstance->addInputResetButton("Alles nochmal eingeben");
$helperInstance->addInputSubmitButton("Accountdaten aktualisieren");
$helperInstance->addFormNote('data_protection', "Deine Daten werden nach den g&uuml;ltigen Datenschutzgesetzen gespeichert und werden nicht an Dritte weitergegeben. Weiteres dazu siehe Link &quot;Datenschutz&quot;.");
$helperInstance->flushContent();

// [EOC]
?>
<div id="content_header">
	Deine Profildaten bearbeiten
</div>

<div id="profile_box">
	{?admin_profile?}
</div>
